<?php
// (C) 2006 Matteo Lucarelli
// (C) 2000-2002 Marco Pratesi <marco@pgmarket.net>
// (C) 2000 Ying Zhang (ying@zippydesign.com)

include ("../config.inc.php");
include ("../common.inc.php");
include ($CFG["libdir"] . "pgm_variant.php");

$id = nvl($_GET["id"], "");
$product_id = nvl($_GET["product_id"], "");

$qid = new PGM_Sql();

if ($product_id != "") {
	if ($id != "") {	
		// category not specified
		$qid->query("SELECT category_id FROM products_categories WHERE product_id = '$product_id' AND category_id = '$id'");
		if (!($qid->num_rows())) {
			pgm_session_close($PGM_SESSION, $session_name);
			redirect($CFG["firstpage"]);
			die;
		}
	} else {
		$qid->query("SELECT category_id FROM products_categories WHERE product_id = '$product_id'");
		if ($qid->num_rows()) {
			$qid->next_record();
			$id = $qid->f("category_id");
		} else {
			pgm_session_close($PGM_SESSION, $session_name);
			redirect($CFG["firstpage"]);
			die;
		}
	}
} else {
	pgm_session_close($PGM_SESSION, $session_name);
	redirect($CFG["firstpage"]);
	die;
}

//get_product_details($qid, $product_id);
$qid->pgm_lang_join_query(
	$CFG["base_lang"],
	array("products p", "products_i18n l"),
	array(array("p.id", "l.product_id", 1, $PGM_SESSION["lang"])),
	array(array("l.name AS lname", "l.description AS ldescription", "l.extended_description AS lextended_description")),
	"p.id AS product_id, p.code, p.name AS name, p.price, p.discount, p.discqty, p.weight, p.description, p.extended_description, p.imagetype, p.imagewidth, p.imageheight, p.image2type, p.image2width, p.image2height, p.thumbtype, p.thumbwidth, p.thumbheight, p.variant, i.iva",
	"iva i",
	"p.iva_id = i.id AND p.id = '$product_id'",
	"",
	array()
);

if ($qid->num_rows() > 0) {
	$qid->next_record();
	$prod = true;
} else $prod = false;

// get the description of current cathegory
$qid_cc = new PGM_Sql();
$qid_cc->pgm_lang_join_query(
	$CFG["base_lang"],
	array("categories c", "categories_i18n l"),
	array(array("c.id", "l.category_id", 1, $PGM_SESSION["lang"])),
	array(array("l.description AS ldescription, c.description AS description")),
	"c.id, c.description",
	"",
	"c.id = '$id'",
	"",
	array()
);
if ($qid_cc->num_rows() > 0) $qid_cc->next_record();
	
$DOC_TITLE = $prod ? "Product_Details" : "Product_Not_Found";

include ($CFG["dirroot"] . "header.php");

$t = new Template();
$t->set_file("page", "templates/product_details.ihtml");
$t->set_block("page", "product", "product_blck");
$t->set_var(array("product_blck" => ""));
$t->set_block("page", "noproduct", "noproduct_blck");
$t->set_var(array("noproduct_blck" => ""));
if ($prod) {
	build_category_path($id, $category_path);
	$t->set_var("category_path", $category_path);
	
	$t->set_block("product", "is_logged_admin", "is_logged_admin_blck");
	$t->set_var("is_logged_admin_blck", "");
		$t->set_block("is_logged_admin", "prodthumb", "prodthumb_blck");
		$t->set_var("prodthumb_blck", "");		
	$t->set_block("product", "user_discount_used", "user_discount_used_blck");
	$t->set_var("user_discount_used_blck", "");
	$t->set_block("product", "iva_used", "iva_used_blck");
	$t->set_var("iva_used_blck", "");
	$t->set_block("product", "discount_block", "discount_block_blck");
	$t->set_var("discount_block_blck", "");
		$t->set_block("discount_block", "discqty_block", "discqty_block_blck");
		$t->set_var("discqty_block_blck", "");
	$t->set_block("product", "weight_used", "weight_used_blck");
	$t->set_var("weight_used_blck", "");
	$t->set_block("product", "is_logged_user", "is_logged_user_blck");
	$t->set_var("is_logged_user_blck", "");
		$t->set_block("is_logged_user", "no_variant_shopping", "no_variant_shopping_blck");
		$t->set_var("no_variant_shopping_blck", "");
	$t->set_block("product", "prodimage", "prodimage_blck");
	$t->set_var("prodimage_blck", "");
	$t->set_block("product", "prodimage2", "prodimage2_blck");
	$t->set_var("prodimage2_blck", "");
	$t->set_block("product", "price_used", "price_used_blck");
	$t->set_var("price_used_blck", "");
	$t->set_block("product", "variant_used", "variant_used_blck");
	$t->set_var("variant_used_blck", "");

	$t->set_var(array(
		"category_id"		=> $id,
		"category_description"	=> ($qid_cc->f("ldescription") != "") ? $qid_cc->f("ldescription") : $qid_cc->f("description"),
		"product_id"		=> $qid->f("product_id"),
		"product_code"		=> $qid->f("code"),
		"name"			=> ($qid->f("lname") != "") ? ov($qid->f("lname")) : ov($qid->f("name")),
		"fprice"		=> formatted_price($qid->f("price")),
		"description"		=> ($qid->f("ldescription") != "") ? ovwbr($qid->f("ldescription")) : ovwbr($qid->f("description")),
		"extended_description"	=> ($qid->f("lextended_description") != "") ? ovwbr($qid->f("lextended_description")) : ovwbr($qid->f("extended_description")),
		"imagetype"		=> $qid->f("imagetype"),
		"image2type"		=> $qid->f("image2type"),
		"productitemcount"	=> $PGM_SESSION["CART"]->get_product_qty($qid->f("product_id"))
	));
	$t->set_var("next_product_id", $qid->f("product_id")+1);
	$t->set_var("prev_product_id", $qid->f("product_id")-1);

	if ($CFG["price_used"]) {
		$t->parse("price_used_blck", "price_used", true);
	}
	if ($CFG["user_discount_used"] && is_logged_in() && $PGM_SESSION["user"]["user_discount"] > 0) {
		$t->set_var(array(
			"user_discount"		=> $PGM_SESSION["user"]["user_discount"],
			"discounted_price"	=> formatted_price((1.0-$PGM_SESSION["user"]["user_discount"]/100.0)*$qid->f("price"))
		));
		$t->parse("user_discount_used_blck", "user_discount_used", true);
	}
	if (($CFG["iva_used"])&&($CFG["price_used"])) {
		$t->set_var("iva", ov($qid->f("iva")));
		$t->parse("iva_used_blck", "iva_used", true);
	}
	if ($qid->f("discount") > 0) {
		$t->set_var("discount", $qid->f("discount"));
		if ($qid->f("discqty") > 1) {
			$t->set_var("discqty", $qid->f("discqty"));
			$t->parse("discqty_block_blck", "discqty_block", true);
		}
		$t->parse("discount_block_blck", "discount_block", true);
	}
	if ($CFG["weight_used"]) {
		$t->set_var("fweight", formatted_weight($qid->f("weight")));
		$t->parse("weight_used_blck", "weight_used", true);
	}
	
	if (is_logged_in() && !has_priv("admin")){
		$variant=pgm_buildshoppingvarianttable($qid->f("variant"));
		if (($CFG["variant_used"]=="1")&&(($variant[row]*$variant[col])!=0)) {
			$t->set_var("product_variant", $variant[html]);
			$t->parse("variant_used_blck", "variant_used", true);
		}else{
			$t->parse("no_variant_shopping_blck", "no_variant_shopping", true);
		}
		$t->parse("is_logged_user_blck", "is_logged_user", true);
	}else{
		$variant=pgm_buildviewvarianttable($qid->f("variant"));
		$t->set_var("product_variant", $variant[html]);
		$t->parse("variant_used_blck", "variant_used", true);
	}
	
	if (is_logged_in() && has_priv("admin")){
	
		if ($CFG["images_on_file_system"]) {
			if (file_exists($CFG["productsdir"] . $qid->f("product_id") . ".thumb." . $qid->f("thumbtype"))) {
				$t->set_var(array(
					"thumbsrc"	=> "../admin/getimage.php?image=" . $qid->f("product_id") . ".thumb." . $qid->f("thumbtype") . "&amp;type=" . $qid->f("thumbtype"),
					"thumbwidth"	=> $qid->f("thumbwidth"),
					"thumbheight"	=> $qid->f("thumbheight")
				));
				$t->parse("prodthumb_blck", "prodthumb", true);
			}
		} else {
			if ($frm["thumbtype"] != "") {
				$t->set_var(array(
					"thumbsrc"	=> "../admin/dbgetimage.php?type=thumb&from=products&id=" . $qid->f("product_id"),
					"thumbwidth"	=> $qid->f("thumbwidth"),
					"thumbheight"	=> $qid->f("thumbheight")
				));
				$t->parse("prodthumb_blck", "prodthumb", true);
			}
		}
		$t->parse("is_logged_admin_blck", "is_logged_admin", true);
	}
	
	if ($CFG["images_on_file_system"] && file_exists($CFG["productsdir"] . $qid->f("product_id") . "." . $qid->f("imagetype"))) {
		$t->set_var(array(
			"imagewidth"    => $qid->f("imagewidth"),
			"imageheight"   => $qid->f("imageheight")
		));
		if (has_priv("admin")) {
			$t->set_var("imagesrc", $CFG["wwwroot"] . "admin/getimage.php?image=" . $qid->f("product_id") . "." . $qid->f("imagetype") . "&amp;type=" . $qid->f("imagetype"));
		} else {
			$t->set_var("imagesrc", $CFG["productswww"] . $qid->f("product_id") . "." . $qid->f("imagetype"));
		}
		$t->parse("prodimage_blck", "prodimage", true);
	} else if (!$CFG["images_on_file_system"] && $qid->f("imagetype") != "") {
		$t->set_var(array(
			"imagewidth"    => $qid->f("imagewidth"),
			"imageheight"   => $qid->f("imageheight")
		));
		if (has_priv("admin")) {
			$t->set_var("imagesrc", $CFG["wwwroot"] . "admin/dbgetimage.php?type=image&from=products&id=" . $qid->f("product_id"));
		} else {
			$t->set_var("imagesrc", $CFG["wwwroot"] . "dbgetimage.php?type=image&from=products&id=" . $qid->f("product_id"));
		}
		$t->parse("prodimage_blck", "prodimage", true);
	}
	
	if ($CFG["images_on_file_system"] && file_exists($CFG["productsdir"] . $qid->f("product_id") . "-2." . $qid->f("image2type"))) {
		$t->set_var(array(
			"image2width"    => $qid->f("image2width"),
			"image2height"   => $qid->f("image2height")
		));
		if (has_priv("admin")) {
			$t->set_var("image2src", $CFG["wwwroot"] . "admin/getimage.php?image=" . $qid->f("product_id") . "-2." . $qid->f("image2type") . "&amp;type=" . $qid->f("image2type"));
		} else {
			$t->set_var("image2src", $CFG["productswww"] . $qid->f("product_id") . "-2." . $qid->f("imagetype"));
		}
		$t->parse("prodimage2_blck", "prodimage2", true);
	} else if (!$CFG["images_on_file_system"] && $qid->f("image2type") != "") {
		$t->set_var(array(
			"image2width"    => $qid->f("image2width"),
			"image2height"   => $qid->f("image2height")
		));
		if (has_priv("admin")) {
			$t->set_var("image2src", $CFG["wwwroot"] . "admin/dbgetimage.php?type=image2&from=products&id=" . $qid->f("product_id"));
		} else {
			$t->set_var("image2src", $CFG["wwwroot"] . "dbgetimage.php?type=image2&from=products&id=" . $qid->f("product_id"));
		}
		$t->parse("prodimage2_blck", "prodimage2", true);
	}
	$t->parse("product_blck", "product", true);
} else {
	$t->parse("noproduct_blck", "noproduct", true);
}
include ($CFG["localelangdir"] . "global-common.inc.php");
include ($CFG["localelangdir"] . "global-shopping.inc.php");
include ($CFG["localelangdir"] . "global-admin.inc.php");
$t->pparse("out", "page");

include ($CFG["dirroot"] . "footer.php");

pgm_session_close($PGM_SESSION, $session_name);

?>
