<?php
// (C) 2005 Matteo Lucarelli <matteo@matteolucarelli.net>
// (C) 2001-2002 Marco Pratesi <marco@pgmarket.net>
// (C) 2001 Fabio Molinari <fabio.m@mclink.it>

$t = new Template();
$t->set_file("page", $CFG["dirroot"] . "templates/header.ihtml");
include ($CFG["localelangdir"] . "global-common.inc.php");
include ($CFG["localelangdir"] . "global-admin.inc.php");

//include ($CFG["libdir"] . "misc_adminsettings.inc.php");

if ($CFG["layersmenu_used"]) {
	if ($CFG["layersmenu_cached"]) {
		$qid_layersmenu = new PGM_Sql("
			SELECT header, first_level_menu, footer
			FROM cache
			WHERE lang = '" . $PGM_SESSION["lang"] . "'
		");
		$qid_layersmenu->next_record();
		$t->set_var(array(
			"layersmenu_header"	=> $qid_layersmenu->f("header"),
			"vermenu"		=> $qid_layersmenu->f("first_level_menu")
		));
	} else {
		include ($CFG["libdir"] . $CFG["dbms"] . "_layersmenu_queries.inc.php");
		include ($CFG["libdir"] . "phplayersmenu/layersmenu.inc.php");
		build_catbrowser_js($categories);
		if ($categories != "") {
			$mid = new LayersMenu(100);
			$mid->set_separator("^");
			$mid->set_dirroot($CFG["dirroot"]);
			$mid->set_libdir($CFG["libdir"] . "phplayersmenu/");
			$mid->set_libwww($CFG["libwww"] . "phplayersmenu/");
			$mid->set_tpldir($CFG["dirroot"] . "templates/");
			$mid->set_imgdir($CFG["imagesdir"]);
			$mid->set_imgwww($CFG["imageswww"]);
			$mid->set_forward_arrow_img("forward-gnome.png");
			$mid->set_vertical_menu_tpl("layersmenu-vertical_menu.ihtml");
			$mid->set_sub_menu_tpl("layersmenu-sub_menu.ihtml");
			$mid->set_menu_structure_string($categories);
			$mid->parse_menu_structure("vermenu");
			$mid->new_vertical_menu("vermenu");
			$t->set_var(array(
				"layersmenu_header"	=> $mid->make_header(),
				"vermenu"		=> $mid->get_menu("vermenu")
			));
		} else {
			$t->set_var(array(
				"layersmenu_header"	=> "",
				"vermenu"		=> ""
			));
		}
	}
} else {
	$t->set_var(array(
		"layersmenu_header"	=> "",
		"vermenu"		=> ""
	));
}

$t->set_var(array(
	"DOC_TITLE"		=> $t->get_var($DOC_TITLE),
	"wwwroot"		=> $CFG["wwwroot"],
	"firstpage"		=> $CFG["firstpage"],
	"cart_itemcount"	=> $PGM_SESSION["CART"]->num_items(),
	"cart_fgrandtotal"	=> formatted_price($PGM_SESSION["CART"]->get_grandtotal()),
	"session_stringtsf"	=> nvl($PGM_SESSION["stringtsf"], ""),
	"session_concatenation_checked_or"	=> nvl($PGM_SESSION["concatenation"], "") != "AND" ? "checked" : "",
	"session_concatenation_checked_and"	=> nvl($PGM_SESSION["concatenation"], "") == "AND" ? "checked" : ""
));
$t->set_block("page", "is_logged_in", "is_logged_in_blck");
$t->set_var(array("is_logged_in_blck" => ""));
$t->set_block("page", "is_not_logged_in", "is_not_logged_in_blck");
$t->set_var(array("is_not_logged_in_blck" => ""));
if (is_logged_in()) {
	$t->set_var(array(
		"session_user_firstname"	=> o($PGM_SESSION["user"]["firstname"]),
		"session_user_lastname"		=> o($PGM_SESSION["user"]["lastname"])
	));
	// set user type
	if (isset($PGM_SESSION["user"]["priv"])) $t->set_var(array("session_user_priv" => $PGM_SESSION["user"]["priv"]));
	else $t->set_var(array("session_user_priv" => ""));
	$t->parse("is_logged_in_blck", "is_logged_in", true);
} else {
	$t->parse("is_not_logged_in_blck", "is_not_logged_in", true);
}

$t->set_block("page", "layersmenu_used", "layersmenu_used_blck");
$t->set_var(array("layersmenu_used_blck" => ""));
if ($CFG["layersmenu_used"]) {
	$t->parse("layersmenu_used_blck", "layersmenu_used", true);
}

// administration menu
$t->set_block("page", "iva_used_admin", "iva_used_admin_blck");
$t->set_var("iva_used_admin_blck", "");
if(($CFG["iva_used"])&&($CFG["price_used"])) $t->parse("iva_used_admin_blck", "iva_used_admin", true);

$t->set_block("page", "user_discount_used_admin", "user_discount_used_admin_blck");
$t->set_var("user_discount_used_admin_blck", "");
if($CFG["user_discount_used"]) $t->parse("user_discount_used_admin_blck", "user_discount_used_admin", true);

$t->set_block("page", "delivery_used_admin", "delivery_used_admin_blck");
$t->set_var("delivery_used_admin_blck", "");
if($CFG["delivery_used"]) $t->parse("delivery_used_admin_blck", "delivery_used_admin", true);

$t->set_block("page", "order_state_used_admin", "order_state_used_admin_blck");
$t->set_var("order_state_used_admin_blck", "");
if($CFG["order_state_used"]) $t->parse("order_state_used_admin_blck", "order_state_used_admin", true);

$t->set_block("page", "admin_language_used", "admin_language_used_blck");
$t->set_var("admin_language_used_blck", "");
if($CFG["admin_language_used"]) $t->parse("admin_language_used_blck", "admin_language_used", true);

$t->set_block("page", "is_logged_in_admin", "is_logged_in_admin_blck");
$t->set_var(array("is_logged_in_admin_blck" => ""));
if (is_logged_in() && has_priv("admin")) $t->parse("is_logged_in_admin_blck", "is_logged_in_admin", true);


// css style
$t->set_block("page", "apply_administrator_style", "apply_administrator_style_blck");
$t->set_var(array("apply_administrator_style_blck" => ""));
$t->set_block("page", "apply_normal_style", "apply_normal_style_blck");
$t->set_var(array("apply_normal_style_blck" => ""));
$t->set_block("page", "apply_agent_style", "apply_agent_style_blck");
$t->set_var(array("apply_agent_style_blck" => ""));
if (!is_logged_in())
	$t->parse("apply_normal_style_blck", "apply_normal_style", true);
else if (has_priv("admin")) 
	$t->parse("apply_administrator_style_blck", "apply_administrator_style", true);
else if (has_priv("agent")) 
	$t->parse("apply_agent_style_blck", "apply_agent_style", true);
else $t->parse("apply_normal_style_blck", "apply_normal_style", true);

$t->set_block("page", "price_used", "price_used_blck");
$t->set_var(array("price_used_blck" => ""));
if ($PGM_SESSION["price_used"]) {
	$t->parse("price_used_blck", "price_used", true);
}

// difference between normal user and agent
$t->set_block("page", "is_logged_normal_user", "is_logged_normal_user_blck");
$t->set_var(array("is_logged_normal_user_blck" => ""));
$t->set_block("page", "is_logged_agent_user", "is_logged_agent_user_blck");
$t->set_var(array("is_logged_agent_user_blck" => ""));
if (has_priv("agent")) $t->parse("is_logged_agent_user_blck", "is_logged_agent_user", true);
else $t->parse("is_logged_normal_user_blck", "is_logged_normal_user", true);

$t->set_block("page", "is_logged_in_user", "is_logged_in_user_blck");
$t->set_var(array("is_logged_in_user_blck" => ""));
if (is_logged_in()&& !has_priv("admin")) {
	$t->parse("is_logged_in_user_blck", "is_logged_in_user", true);
}

$t->pparse("out", "page");

?>
